Package com.verisign.epp.serverstub.validate.v02

## Class ValidateHandler

- java.lang.Object
- - com.verisign.epp.framework.validate.v02.EPPValidateHandler
  - - com.verisign.epp.serverstub.validate.v02.ValidateHandler

- All Implemented Interfaces:
    `EPPEventHandler`

      public class ValidateHandler
      extends EPPValidateHandler

  The `ValidateHandler` class extends `EPPValidateHandler` to include handling the validate check command.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ValidateHandler()` | Constructs an instance of ValidateHandler

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected EPPEventResponse` | `doValidateCheck​(EPPEvent aEvent, java.lang.Object aData)` | Override base handler `doValidateCheck` method and add handling of the Allocation Token Extension.
    `protected void` | `preHandleEvent​(EPPEvent aEvent, java.lang.Object aData)` | Will ensure that the namestore extension is provided.

    - ### Methods inherited from class com.verisign.epp.framework.validate.v02.EPPValidateHandler

      `getNamespace, handleEvent, postHandleEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidateHandler

          public ValidateHandler()

      Constructs an instance of ValidateHandler

  - ### Method Detail

    - #### preHandleEvent

          protected void preHandleEvent​(EPPEvent aEvent,
                                        java.lang.Object aData)
                                 throws EPPHandleEventException

      Will ensure that the namestore extension is provided.
      Overrides:
        `preHandleEvent` in class `EPPValidateHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomainHandler` This is assumed to be an instance of SessionData here.
      Throws:
        `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

    - #### doValidateCheck

          protected EPPEventResponse doValidateCheck​(EPPEvent aEvent,
                                                     java.lang.Object aData)

      Override base handler `doValidateCheck` method and add handling of the Allocation Token Extension.
      Specified by:
        `doValidateCheck` in class `EPPValidateHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.